> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Shop Information



## OpenAPI

````yaml /openapi/storefront.json GET /v1/shop
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://storefront-api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /v1/shop:
    get:
      tags:
        - headless_shop
      summary: Get shop information
      operationId: get-shop
      parameters:
        - name: storefront_token
          in: query
          required: true
          schema:
            type: string
            example: ptkn_xxxxxxxxxxxxxxxxxx
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/com.fourthwall.app.headless.model.ShopPublicV1
        '404':
          description: 'Possible errors: `SHOP_TEAM_MEMBER_SHOP_NOT_FOUND_ERROR`'
          content:
            application/json:
              examples:
                shop-team-member-shop-not-found-error:
                  value:
                    code: SHOP_TEAM_MEMBER_SHOP_NOT_FOUND_ERROR
                    shopId: <shopid>
      externalDocs:
        url: https://docs.fourthwall.com/api-reference/storefront/shop/get-shop
components:
  schemas:
    com.fourthwall.app.headless.model.ShopPublicV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        domain:
          type: string
        publicDomain:
          type: string
      required:
        - domain
        - id
        - name
        - publicDomain
      title: Shop Public

````